Bug 441572 - typo in ypbind init script causes allow_ypbind boolean to be disabled when it shouldn't be
typo in ypbind init script causes allow_ypbind boolean to be disabled when it...
Status: CLOSED DUPLICATE of bug 474187
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ypbind (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 15:59 EDT by Jeffrey Moyer
Modified: 2013-04-12 15:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 11:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix the typo (738 bytes, patch)
2008-04-08 15:59 EDT, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2008-04-08 15:59:35 EDT
Description of problem:
-       if [ -e /etc/selinux/${SELINUXTYPE}/modules1/active/booleans.local ]; then
+       if [ -e /etc/selinux/${SELINUXTYPE}/modules/active/booleans.local ]; then

Seems pretty obvious to me.  This is causing my autofs regression tests to
generate avc messages.  Please fix.

Version-Release number of selected component (if applicable):
ypbind-1.19-8.el5

How reproducible:
100%

Steps to Reproduce:
1. setsebool -P allow_ypbind=1
2. service ypbind stop
3. service ypbind start

Actual results:
avc messages generated:
/sbin/ausearch -sv no -m AVC -m USER_AVC -m SELINUX_ERR -ts 4/8/2008 15:35:16
----
time->Tue Apr  8 15:35:48 2008
type=SYSCALL msg=audit(1207683348.384:10): arch=c000003e syscall=49 success=no
exit=-13 a0=5 a1=7fff80235f10 a2=10 a3=3 items=0 ppid=4024 pid=4034
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=4294967295 comm="genhomedircon" exe="/usr/bin/python"
subj=system_u:system_r:semanage_t:s0 key=(null)
type=AVC msg=audit(1207683348.384:10): avc:  denied  { node_bind } for  pid=4034
comm="genhomedircon" scontext=system_u:system_r:semanage_t:s0
tcontext=system_u:object_r:inaddr_any_node_t:s0 tclass=tcp_socket
----
time->Tue Apr  8 15:35:48 2008
type=SYSCALL msg=audit(1207683348.384:11): arch=c000003e syscall=49 success=no
exit=-13 a0=5 a1=7fff80235e40 a2=10 a3=3 items=0 ppid=4024 pid=4034
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=4294967295 comm="genhomedircon" exe="/usr/bin/python"
subj=system_u:system_r:semanage_t:s0 key=(null)
type=AVC msg=audit(1207683348.384:11): avc:  denied  { name_bind } for  pid=4034
comm="genhomedircon" src=818 scontext=system_u:system_r:semanage_t:s0
tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
----
time->Tue Apr  8 15:35:48 2008
type=SYSCALL msg=audit(1207683348.384:12): arch=c000003e syscall=42 success=no
exit=-13 a0=5 a1=7fff802360a0 a2=10 a3=3 items=0 ppid=4024 pid=4034
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=4294967295 comm="genhomedircon" exe="/usr/bin/python"
subj=system_u:system_r:semanage_t:s0 key=(null)
type=AVC msg=audit(1207683348.384:12): avc:  denied  { name_connect } for 
pid=4034 comm="genhomedircon" dest=111 scontext=system_u:system_r:semanage_t:s0
tcontext=system_u:object_r:portmap_port_t:s0 tclass=tcp_socket

Expected results:
no avc messages
Comment 1 Jeffrey Moyer 2008-04-08 15:59:35 EDT
Created attachment 301698 [details]
Fix the typo
Comment 2 Vitezslav Crhonek 2008-04-09 06:32:27 EDT
Thanks for report and patch!

Note You need to log in before you can comment on or make changes to this bug.